import { Component, Input } from "@angular/core";
import { NavController } from "../../../node_modules/ionic-angular/umd";
import { SearchPage } from "../../pages/search/search";

/**
 * Generated class for the HashtagComponent component.
 *
 * See https://angular.io/api/core/Component for more info on Angular
 * Components.
 */
@Component({
  selector: "hashtag",
  templateUrl: "hashtag.html"
})
export class HashtagComponent {
  @Input()
  hashtag;

  constructor(public navCtrl: NavController) {}

  search(hashtag) {
    this.navCtrl.push(SearchPage, { hashtag });
  }
}
